#1338 closed defect (fixed)

Check return value on rtems_event_receive in rtems_dhcp.c

Reported by: Gene Smith Owned by: Chris Johns
Priority: normal Milestone: 4.9
Component: network/legacy Version: 4.9
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description

Task checks for event that may or may not have occurred and can exit erroneously. Instead it should check the return on rtems_event_receive() and exit only if the return value is not RTEMS_TIMEOUT indicating an event.

See mailing list thread "rtems_dhcp.c: dhcp_task() bug? plus question" (10-30-2008) for more details and discussion.

Attachments (1)

rtems_dhcp.c.diff (1002 bytes) - added by Gene Smith on Nov 19, 2008 at 4:58:23 PM.
Proposed change

Download all attachments as: .zip

Change History (4)

Changed on Nov 19, 2008 at 4:58:23 PM by Gene Smith

Attachment: rtems_dhcp.c.diff added

Proposed change

comment:1 Changed on Feb 16, 2009 at 7:40:14 AM by Chris Johns

Cc: Chris Johns added
Owner: changed from Eric Norum to Chris Johns

comment:2 Changed on Feb 16, 2009 at 7:41:03 AM by Chris Johns

Status: newassigned

comment:3 Changed on Apr 28, 2009 at 10:12:41 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

Fix committed to CVS.

Note: See TracTickets for help on using tickets.